SnapshotsResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class SnapshotsResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.SnapshotsResourceApi

-     public class SnapshotsResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnapshotsResourceApi()`
    `SnapshotsResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiCommand` | `adhocSnapshot(String clusterName, String serviceName, ApiAdhocSnapshot body)` Creates one or more snapshot policies.
    `com.squareup.okhttp.Call` | `adhocSnapshotAsync(String clusterName, String serviceName, ApiAdhocSnapshot body, ApiCallback<ApiCommand> callback)` Creates one or more snapshot policies.
    `com.squareup.okhttp.Call` | `adhocSnapshotCall(String clusterName, String serviceName, ApiAdhocSnapshot body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for adhocSnapshot
    `ApiResponse<ApiCommand>` | `adhocSnapshotWithHttpInfo(String clusterName, String serviceName, ApiAdhocSnapshot body)` Creates one or more snapshot policies.
    `ApiSnapshotPolicyList` | `createPolicies(String clusterName, String serviceName, ApiSnapshotPolicyList body)` Creates one or more snapshot policies.
    `com.squareup.okhttp.Call` | `createPoliciesAsync(String clusterName, String serviceName, ApiSnapshotPolicyList body, ApiCallback<ApiSnapshotPolicyList> callback)` Creates one or more snapshot policies.
    `com.squareup.okhttp.Call` | `createPoliciesCall(String clusterName, String serviceName, ApiSnapshotPolicyList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for createPolicies
    `ApiResponse<ApiSnapshotPolicyList>` | `createPoliciesWithHttpInfo(String clusterName, String serviceName, ApiSnapshotPolicyList body)` Creates one or more snapshot policies.
    `ApiSnapshotPolicy` | `deletePolicy(String clusterName, String policyName, String serviceName)` Deletes an existing snapshot policy.
    `com.squareup.okhttp.Call` | `deletePolicyAsync(String clusterName, String policyName, String serviceName, ApiCallback<ApiSnapshotPolicy> callback)` Deletes an existing snapshot policy.
    `com.squareup.okhttp.Call` | `deletePolicyCall(String clusterName, String policyName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deletePolicy
    `ApiResponse<ApiSnapshotPolicy>` | `deletePolicyWithHttpInfo(String clusterName, String policyName, String serviceName)` Deletes an existing snapshot policy.
    `ApiClient` | `getApiClient()`
    `ApiSnapshotCommandList` | `readHistory(String clusterName, String policyName, String serviceName, BigDecimal limit, BigDecimal offset, String view)` Returns a list of commands triggered by a snapshot policy.
    `com.squareup.okhttp.Call` | `readHistoryAsync(String clusterName, String policyName, String serviceName, BigDecimal limit, BigDecimal offset, String view, ApiCallback<ApiSnapshotCommandList> callback)` Returns a list of commands triggered by a snapshot policy.
    `com.squareup.okhttp.Call` | `readHistoryCall(String clusterName, String policyName, String serviceName, BigDecimal limit, BigDecimal offset, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readHistory
    `ApiResponse<ApiSnapshotCommandList>` | `readHistoryWithHttpInfo(String clusterName, String policyName, String serviceName, BigDecimal limit, BigDecimal offset, String view)` Returns a list of commands triggered by a snapshot policy.
    `ApiSnapshotPolicyList` | `readPolicies(String clusterName, String serviceName, String view)` Returns information for all snapshot policies.
    `com.squareup.okhttp.Call` | `readPoliciesAsync(String clusterName, String serviceName, String view, ApiCallback<ApiSnapshotPolicyList> callback)` Returns information for all snapshot policies.
    `com.squareup.okhttp.Call` | `readPoliciesCall(String clusterName, String serviceName, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readPolicies
    `ApiResponse<ApiSnapshotPolicyList>` | `readPoliciesWithHttpInfo(String clusterName, String serviceName, String view)` Returns information for all snapshot policies.
    `ApiSnapshotPolicy` | `readPolicy(String clusterName, String policyName, String serviceName, String view)` Returns information for a specific snapshot policy.
    `com.squareup.okhttp.Call` | `readPolicyAsync(String clusterName, String policyName, String serviceName, String view, ApiCallback<ApiSnapshotPolicy> callback)` Returns information for a specific snapshot policy.
    `com.squareup.okhttp.Call` | `readPolicyCall(String clusterName, String policyName, String serviceName, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readPolicy
    `ApiResponse<ApiSnapshotPolicy>` | `readPolicyWithHttpInfo(String clusterName, String policyName, String serviceName, String view)` Returns information for a specific snapshot policy.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiSnapshotPolicy` | `updatePolicy(String clusterName, String policyName, String serviceName, ApiSnapshotPolicy body)` Updates an existing snapshot policy.
    `com.squareup.okhttp.Call` | `updatePolicyAsync(String clusterName, String policyName, String serviceName, ApiSnapshotPolicy body, ApiCallback<ApiSnapshotPolicy> callback)` Updates an existing snapshot policy.
    `com.squareup.okhttp.Call` | `updatePolicyCall(String clusterName, String policyName, String serviceName, ApiSnapshotPolicy body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updatePolicy
    `ApiResponse<ApiSnapshotPolicy>` | `updatePolicyWithHttpInfo(String clusterName, String policyName, String serviceName, ApiSnapshotPolicy body)` Updates an existing snapshot policy.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SnapshotsResourceApi

          public SnapshotsResourceApi()

    - #### SnapshotsResourceApi

          public SnapshotsResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### adhocSnapshotCall

          public com.squareup.okhttp.Call adhocSnapshotCall(String clusterName,
                                                            String serviceName,
                                                            ApiAdhocSnapshot body,
                                                            ProgressResponseBody.ProgressListener progressListener,
                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                     throws ApiException

      Build call for adhocSnapshot
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### adhocSnapshot

          public ApiCommand adhocSnapshot(String clusterName,
                                          String serviceName,
                                          ApiAdhocSnapshot body)
                                   throws ApiException

      Creates one or more snapshot policies. Creates one or more snapshot policies.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### adhocSnapshotWithHttpInfo

          public ApiResponse<ApiCommand> adhocSnapshotWithHttpInfo(String clusterName,
                                                                   String serviceName,
                                                                   ApiAdhocSnapshot body)
                                                            throws ApiException

      Creates one or more snapshot policies. Creates one or more snapshot policies.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### adhocSnapshotAsync

          public com.squareup.okhttp.Call adhocSnapshotAsync(String clusterName,
                                                             String serviceName,
                                                             ApiAdhocSnapshot body,
                                                             ApiCallback<ApiCommand> callback)
                                                      throws ApiException

      Creates one or more snapshot policies. (asynchronously) Creates one or more snapshot policies.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### createPoliciesCall

          public com.squareup.okhttp.Call createPoliciesCall(String clusterName,
                                                             String serviceName,
                                                             ApiSnapshotPolicyList body,
                                                             ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for createPolicies
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - List of the snapshot policies to create. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### createPolicies

          public ApiSnapshotPolicyList createPolicies(String clusterName,
                                                      String serviceName,
                                                      ApiSnapshotPolicyList body)
                                               throws ApiException

      Creates one or more snapshot policies. Creates one or more snapshot policies.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - List of the snapshot policies to create. (optional)
      Returns:
        ApiSnapshotPolicyList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createPoliciesWithHttpInfo

          public ApiResponse<ApiSnapshotPolicyList> createPoliciesWithHttpInfo(String clusterName,
                                                                               String serviceName,
                                                                               ApiSnapshotPolicyList body)
                                                                        throws ApiException

      Creates one or more snapshot policies. Creates one or more snapshot policies.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - List of the snapshot policies to create. (optional)
      Returns:
        ApiResponse<ApiSnapshotPolicyList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createPoliciesAsync

          public com.squareup.okhttp.Call createPoliciesAsync(String clusterName,
                                                              String serviceName,
                                                              ApiSnapshotPolicyList body,
                                                              ApiCallback<ApiSnapshotPolicyList> callback)
                                                       throws ApiException

      Creates one or more snapshot policies. (asynchronously) Creates one or more snapshot policies.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - List of the snapshot policies to create. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deletePolicyCall

          public com.squareup.okhttp.Call deletePolicyCall(String clusterName,
                                                           String policyName,
                                                           String serviceName,
                                                           ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for deletePolicy
      Parameters:
        `clusterName` - (required)
        `policyName` - Name of an existing snapshot policy. (required)
        `serviceName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deletePolicy

          public ApiSnapshotPolicy deletePolicy(String clusterName,
                                                String policyName,
                                                String serviceName)
                                         throws ApiException

      Deletes an existing snapshot policy. Deletes an existing snapshot policy.
      Parameters:
        `clusterName` - (required)
        `policyName` - Name of an existing snapshot policy. (required)
        `serviceName` - (required)
      Returns:
        ApiSnapshotPolicy
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deletePolicyWithHttpInfo

          public ApiResponse<ApiSnapshotPolicy> deletePolicyWithHttpInfo(String clusterName,
                                                                         String policyName,
                                                                         String serviceName)
                                                                  throws ApiException

      Deletes an existing snapshot policy. Deletes an existing snapshot policy.
      Parameters:
        `clusterName` - (required)
        `policyName` - Name of an existing snapshot policy. (required)
        `serviceName` - (required)
      Returns:
        ApiResponse<ApiSnapshotPolicy>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deletePolicyAsync

          public com.squareup.okhttp.Call deletePolicyAsync(String clusterName,
                                                            String policyName,
                                                            String serviceName,
                                                            ApiCallback<ApiSnapshotPolicy> callback)
                                                     throws ApiException

      Deletes an existing snapshot policy. (asynchronously) Deletes an existing snapshot policy.
      Parameters:
        `clusterName` - (required)
        `policyName` - Name of an existing snapshot policy. (required)
        `serviceName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readHistoryCall

          public com.squareup.okhttp.Call readHistoryCall(String clusterName,
                                                          String policyName,
                                                          String serviceName,
                                                          BigDecimal limit,
                                                          BigDecimal offset,
                                                          String view,
                                                          ProgressResponseBody.ProgressListener progressListener,
                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                   throws ApiException

      Build call for readHistory
      Parameters:
        `clusterName` - (required)
        `policyName` - Name of an existing snapshot policy. (required)
        `serviceName` - (required)
        `limit` - Maximum number of commands to retrieve. (optional, default to 20)
        `offset` - Index of first command to retrieve. (optional, default to 0)
        `view` - The view to materialize. (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readHistory

          public ApiSnapshotCommandList readHistory(String clusterName,
                                                    String policyName,
                                                    String serviceName,
                                                    BigDecimal limit,
                                                    BigDecimal offset,
                                                    String view)
                                             throws ApiException

      Returns a list of commands triggered by a snapshot policy. Returns a list of commands triggered by a snapshot policy.
      Parameters:
        `clusterName` - (required)
        `policyName` - Name of an existing snapshot policy. (required)
        `serviceName` - (required)
        `limit` - Maximum number of commands to retrieve. (optional, default to 20)
        `offset` - Index of first command to retrieve. (optional, default to 0)
        `view` - The view to materialize. (optional, default to summary)
      Returns:
        ApiSnapshotCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readHistoryWithHttpInfo

          public ApiResponse<ApiSnapshotCommandList> readHistoryWithHttpInfo(String clusterName,
                                                                             String policyName,
                                                                             String serviceName,
                                                                             BigDecimal limit,
                                                                             BigDecimal offset,
                                                                             String view)
                                                                      throws ApiException

      Returns a list of commands triggered by a snapshot policy. Returns a list of commands triggered by a snapshot policy.
      Parameters:
        `clusterName` - (required)
        `policyName` - Name of an existing snapshot policy. (required)
        `serviceName` - (required)
        `limit` - Maximum number of commands to retrieve. (optional, default to 20)
        `offset` - Index of first command to retrieve. (optional, default to 0)
        `view` - The view to materialize. (optional, default to summary)
      Returns:
        ApiResponse<ApiSnapshotCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readHistoryAsync

          public com.squareup.okhttp.Call readHistoryAsync(String clusterName,
                                                           String policyName,
                                                           String serviceName,
                                                           BigDecimal limit,
                                                           BigDecimal offset,
                                                           String view,
                                                           ApiCallback<ApiSnapshotCommandList> callback)
                                                    throws ApiException

      Returns a list of commands triggered by a snapshot policy. (asynchronously) Returns a list of commands triggered by a snapshot policy.
      Parameters:
        `clusterName` - (required)
        `policyName` - Name of an existing snapshot policy. (required)
        `serviceName` - (required)
        `limit` - Maximum number of commands to retrieve. (optional, default to 20)
        `offset` - Index of first command to retrieve. (optional, default to 0)
        `view` - The view to materialize. (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readPoliciesCall

          public com.squareup.okhttp.Call readPoliciesCall(String clusterName,
                                                           String serviceName,
                                                           String view,
                                                           ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for readPolicies
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `view` - The view to materialize. (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readPolicies

          public ApiSnapshotPolicyList readPolicies(String clusterName,
                                                    String serviceName,
                                                    String view)
                                             throws ApiException

      Returns information for all snapshot policies. Returns information for all snapshot policies.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `view` - The view to materialize. (optional, default to summary)
      Returns:
        ApiSnapshotPolicyList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readPoliciesWithHttpInfo

          public ApiResponse<ApiSnapshotPolicyList> readPoliciesWithHttpInfo(String clusterName,
                                                                             String serviceName,
                                                                             String view)
                                                                      throws ApiException

      Returns information for all snapshot policies. Returns information for all snapshot policies.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `view` - The view to materialize. (optional, default to summary)
      Returns:
        ApiResponse<ApiSnapshotPolicyList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readPoliciesAsync

          public com.squareup.okhttp.Call readPoliciesAsync(String clusterName,
                                                            String serviceName,
                                                            String view,
                                                            ApiCallback<ApiSnapshotPolicyList> callback)
                                                     throws ApiException

      Returns information for all snapshot policies. (asynchronously) Returns information for all snapshot policies.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `view` - The view to materialize. (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readPolicyCall

          public com.squareup.okhttp.Call readPolicyCall(String clusterName,
                                                         String policyName,
                                                         String serviceName,
                                                         String view,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for readPolicy
      Parameters:
        `clusterName` - (required)
        `policyName` - Name of an existing snapshot policy. (required)
        `serviceName` - (required)
        `view` - The view to materialize. (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readPolicy

          public ApiSnapshotPolicy readPolicy(String clusterName,
                                              String policyName,
                                              String serviceName,
                                              String view)
                                       throws ApiException

      Returns information for a specific snapshot policy. Returns information for a specific snapshot policy.
      Parameters:
        `clusterName` - (required)
        `policyName` - Name of an existing snapshot policy. (required)
        `serviceName` - (required)
        `view` - The view to materialize. (optional, default to summary)
      Returns:
        ApiSnapshotPolicy
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readPolicyWithHttpInfo

          public ApiResponse<ApiSnapshotPolicy> readPolicyWithHttpInfo(String clusterName,
                                                                       String policyName,
                                                                       String serviceName,
                                                                       String view)
                                                                throws ApiException

      Returns information for a specific snapshot policy. Returns information for a specific snapshot policy.
      Parameters:
        `clusterName` - (required)
        `policyName` - Name of an existing snapshot policy. (required)
        `serviceName` - (required)
        `view` - The view to materialize. (optional, default to summary)
      Returns:
        ApiResponse<ApiSnapshotPolicy>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readPolicyAsync

          public com.squareup.okhttp.Call readPolicyAsync(String clusterName,
                                                          String policyName,
                                                          String serviceName,
                                                          String view,
                                                          ApiCallback<ApiSnapshotPolicy> callback)
                                                   throws ApiException

      Returns information for a specific snapshot policy. (asynchronously) Returns information for a specific snapshot policy.
      Parameters:
        `clusterName` - (required)
        `policyName` - Name of an existing snapshot policy. (required)
        `serviceName` - (required)
        `view` - The view to materialize. (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updatePolicyCall

          public com.squareup.okhttp.Call updatePolicyCall(String clusterName,
                                                           String policyName,
                                                           String serviceName,
                                                           ApiSnapshotPolicy body,
                                                           ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for updatePolicy
      Parameters:
        `clusterName` - (required)
        `policyName` - Name of an existing snapshot policy. (required)
        `serviceName` - (required)
        `body` - Modified policy. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updatePolicy

          public ApiSnapshotPolicy updatePolicy(String clusterName,
                                                String policyName,
                                                String serviceName,
                                                ApiSnapshotPolicy body)
                                         throws ApiException

      Updates an existing snapshot policy. Updates an existing snapshot policy.
      Parameters:
        `clusterName` - (required)
        `policyName` - Name of an existing snapshot policy. (required)
        `serviceName` - (required)
        `body` - Modified policy. (optional)
      Returns:
        ApiSnapshotPolicy
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updatePolicyWithHttpInfo

          public ApiResponse<ApiSnapshotPolicy> updatePolicyWithHttpInfo(String clusterName,
                                                                         String policyName,
                                                                         String serviceName,
                                                                         ApiSnapshotPolicy body)
                                                                  throws ApiException

      Updates an existing snapshot policy. Updates an existing snapshot policy.
      Parameters:
        `clusterName` - (required)
        `policyName` - Name of an existing snapshot policy. (required)
        `serviceName` - (required)
        `body` - Modified policy. (optional)
      Returns:
        ApiResponse<ApiSnapshotPolicy>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updatePolicyAsync

          public com.squareup.okhttp.Call updatePolicyAsync(String clusterName,
                                                            String policyName,
                                                            String serviceName,
                                                            ApiSnapshotPolicy body,
                                                            ApiCallback<ApiSnapshotPolicy> callback)
                                                     throws ApiException

      Updates an existing snapshot policy. (asynchronously) Updates an existing snapshot policy.
      Parameters:
        `clusterName` - (required)
        `policyName` - Name of an existing snapshot policy. (required)
        `serviceName` - (required)
        `body` - Modified policy. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.